# http://bugs.gentoo.org/show_bug.cgi?id=214799 :
# http://bugs.gentoo.org/attachment.cgi?id=152271
diff -Naur tmp-old/rpmio/rpmdav.c tmp-new/rpmio/rpmdav.c
--- rpmio/rpmdav.c	2008-03-28 04:40:52.000000000 +0000
+++ rpmio/rpmdav.c	2008-03-28 05:19:50.000000000 +0000
@@ -103,7 +103,7 @@
 }
 
 static void davNotify(void * userdata,
-		ne_conn_status connstatus, const char * info)
+		ne_session_status sessionstatus, const char * info)
 	/*@*/
 {
     urlinfo u = userdata;
@@ -124,18 +124,20 @@
 
 #ifdef	REFERENCE
 typedef enum {
-    ne_conn_namelookup, /* lookup up hostname (info = hostname) */
-    ne_conn_connecting, /* connecting to host (info = hostname) */
-    ne_conn_connected, /* connected to host (info = hostname) */
-    ne_conn_secure /* connection now secure (info = crypto level) */
-} ne_conn_status;
+    ne_status_lookup = 0, /* looking up hostname */
+    ne_status_connecting, /* connecting to host */
+    ne_status_connected, /* connected to host */
+    ne_status_sending, /* sending a request body */
+    ne_status_recving, /* receiving a response body */
+    ne_status_disconnected /* disconnected from host */
+} ne_session_status;
 #endif
 
-    u->connstatus = connstatus;
+    u->sessionstatus = sessionstatus;
 
 /*@-boundsread@*/
 if (_dav_debug < 0)
-fprintf(stderr, "*** davNotify(%p,%d,%p) sess %p u %p %s\n", userdata, connstatus, info, sess, u, connstates[ (connstatus < 4 ? connstatus : 4)]);
+fprintf(stderr, "*** davNotify(%p,%d,%p) sess %p u %p %s\n", userdata, sessionstatus, info, sess, u, connstates[ (sessionstatus < 5 ? sessionstatus : 5)]);
 /*@=boundsread@*/
 
 }
@@ -350,7 +352,7 @@
 #endif
 
 	ne_set_progress(u->sess, davProgress, u);
-	ne_set_status(u->sess, davNotify, u);
+	ne_set_notifier(u->sess, davNotify, u);
 
 	ne_set_persist(u->sess, 1);
 	ne_set_read_timeout(u->sess, httpTimeoutSecs);
diff -Naur tmp-old/rpmio/rpmurl.h tmp-new/rpmio/rpmurl.h
--- rpmio/rpmurl.h	2008-03-28 04:55:02.000000000 +0000
+++ rpmio/rpmurl.h	2008-03-28 04:56:09.000000000 +0000
@@ -60,7 +60,7 @@
     void * sess;		/*!< neon: ne_session ptr */
     off_t current;		/*!< neon: current body offset. */
     off_t total;		/*!< neon: total body length. */
-    int connstatus;		/*!< neon: connection status. */
+    int sessionstatus;		/*!< neon: session status. */
 #ifdef  REFERENCE
 typedef enum {
     ne_conn_namelookup,	/* lookup up hostname (info = hostname) */
